# Uses of Class
javax.help.TOCView

Packages that use TOCView
Package
Description
javax.help
Supports presentation of online documentation with both content and contextual views of this information.
javax.help.plaf.basic
javax.help.tagext

## Uses of TOCView in javax.help

Methods in javax.help with parameters of type TOCView
Modifier and Type
Method
Description
`static DefaultMutableTreeNode`
TOCView.`parse(URL url, HelpSet hs, Locale locale, TreeItemFactory factory, TOCView view)`
Public method for parsing a TOC in a URL.

## Uses of TOCView in javax.help.plaf.basic

Fields in javax.help.plaf.basic declared as TOCView
Modifier and Type
Field
Description
`protected TOCView`
BasicTOCCellRenderer.`view`
Constructors in javax.help.plaf.basic with parameters of type TOCView
Modifier
Constructor
Description
``
`BasicTOCCellRenderer(Map map, TOCView view)`

## Uses of TOCView in javax.help.tagext

Methods in javax.help.tagext with parameters of type TOCView
Modifier and Type
Method
Description
`void`
TOCItemTag.`setTocView(TOCView view)`